ReactPhysics3D: reactphysics3d::ConvexPolyhedronVsConvexPolyhedronAlgorithm Class Reference

| ReactPhysics3D v0.10.2 C++ Physics engine library

Loading...
Searching...
No Matches
Public Member Functions | List of all members
reactphysics3d::ConvexPolyhedronVsConvexPolyhedronAlgorithm Class Reference

This class is used to compute the narrow-phase collision detection between two convex polyhedra. More...

`#include <include/reactphysics3d/collision/narrowphase/ConvexPolyhedronVsConvexPolyhedronAlgorithm.h>`

Inheritance diagram for reactphysics3d::ConvexPolyhedronVsConvexPolyhedronAlgorithm:

## Public Member Functions
| ConvexPolyhedronVsConvexPolyhedronAlgorithm ()=default
| Constructor.
virtual | ~ConvexPolyhedronVsConvexPolyhedronAlgorithm () override=default
| Destructor.
| ConvexPolyhedronVsConvexPolyhedronAlgorithm (const ConvexPolyhedronVsConvexPolyhedronAlgorithm &algorithm)=delete
| Deleted copy-constructor.
ConvexPolyhedronVsConvexPolyhedronAlgorithm & | operator= (const ConvexPolyhedronVsConvexPolyhedronAlgorithm &algorithm)=delete
| Deleted assignment operator.
bool | testCollision (NarrowPhaseInfoBatch &narrowPhaseInfoBatch, uint32 batchStartIndex, uint32 batchNbItems, bool clipWithPreviousAxisIfStillColliding, MemoryAllocator &memoryAllocator)
| Compute the narrow-phase collision detection between two convex polyhedra.
Public Member Functions inherited from reactphysics3d::NarrowPhaseAlgorithm
| NarrowPhaseAlgorithm ()=default
| Constructor.
virtual | ~NarrowPhaseAlgorithm ()=default
| Destructor.
| NarrowPhaseAlgorithm (const NarrowPhaseAlgorithm &algorithm)=delete
| Deleted copy-constructor.
NarrowPhaseAlgorithm & | operator= (const NarrowPhaseAlgorithm &algorithm)=delete
| Deleted assignment operator.

## Detailed Description

This class is used to compute the narrow-phase collision detection between two convex polyhedra.

Here we do not use the GJK algorithm but we run the SAT algorithm to get the contact points and normal. This is based on the "Robust Contact Creation for Physics Simulation" presentation by Dirk Gregorius.

The documentation for this class was generated from the following files:

- include/reactphysics3d/collision/narrowphase/ConvexPolyhedronVsConvexPolyhedronAlgorithm.h
- src/collision/narrowphase/ConvexPolyhedronVsConvexPolyhedronAlgorithm.cpp